Summary:	Fonts to replace commonly used Microsoft Windows Fonts
Summary(pl.UTF-8):	Fonty zastępujące popularne fonty z Microsoft Windows
Name:		fonts-TTF-RedHat-liberation
Version:	2.00.1
Release:	3
Epoch:		1
License:	OFL
Group:		Fonts
Source0:	https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-%{version}.tar.gz
# Source0-md5:	a0dfdcffcd0398afe5f57269198846e9
Source1:	30-0-liberation-mono.conf
Source2:	30-0-liberation-sans.conf
Source3:	30-0-liberation-serif.conf
URL:		https://fedorahosted.org/liberation-fonts/
BuildRequires:	fontforge >= 20090923
BuildRequires:	fonttools
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
Requires:	fontconfig >= 1:2.10.1
Obsoletes:	liberation-fonts-ttf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ttffontsdir	%{_fontsdir}/TTF

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems.

There are three sets: Sans (a substitute for Arial, Albany, Helvetica,
Nimbus Sans L, and Bitstream Vera Sans), Serif (a substitute for Times
New Roman, Thorndale, Nimbus Roman, and Bitstream Vera Serif) and Mono
(a substitute for Courier New, Cumberland, Courier, Nimbus Mono L, and
Bitstream Vera Sans Mono).

%description -l pl.UTF-8
Fonty Liberation mają być zamiennikami trzech najczęściej używanych
fontów z systemów Microsoftu.

Pakiet zawiera trzy zestawy: Sans (zamiennik dla Arial, Albany,
Helvetica, Nimbus Sans L i Bitstream Vera Sans), Serif (zamiennik dla
Times New Roman, Thorndale, Nimbus Roman i Bitstream Vera Serif) i
Mono (zamiennik dla Courier New, Cumberland, Courier, Nimbus Mono L i
Bitstream Vera Sans Mono).

%prep
%setup -q -n liberation-fonts-%{version}

%build
%{__make}
mv liberation-fonts-ttf-%{version}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_ttffontsdir},%{_sysconfdir}/fonts/conf.d,%{_datadir}/fontconfig/conf.avail}

cp -p *.ttf $RPM_BUILD_ROOT%{_ttffontsdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/30-0-liberation-mono.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/30-0-liberation-sans.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/30-0-liberation-serif.conf

ln -s %{_datadir}/fontconfig/conf.avail/30-0-liberation-mono.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/30-0-liberation-sans.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/30-0-liberation-serif.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%{_ttffontsdir}/LiberationMono*.ttf
%{_ttffontsdir}/LiberationSans*.ttf
%{_ttffontsdir}/LiberationSerif*.ttf
%{_datadir}/fontconfig/conf.avail/30-0-liberation-*.conf
%{_sysconfdir}/fonts/conf.d/30-0-liberation-*.conf
%changelog
* Sat Oct 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-RedHat-liberation.git;a=log;h=master

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 9eb4a23
- release 3 (by relup.sh)

* Fri Oct 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9357043
- rel 2; use upstream build system

* Fri Oct 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b38197
- up to 2.00.1

* Tue Sep 18 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b7cf663
- rel 4; merge changes from fc

* Thu Aug 09 2012 Jan Rękorajski <baggins@pld-linux.org> ad7bbe0
Switch to new fontconfig direcotry structure
Release 3

* Mon Jul 30 2012 Elan Ruusamäe <glen@delfi.ee> 2774d5a
re-entrant install, cosmetics

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d3a023b
- fix md5

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c2fa97
- follow fc naming convention

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bd035d
- rel 2; use configs from fc

* Tue Jul 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 674eeed
- updated to 2.00.0
- license changed to OFL

* Thu Feb 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 81a0707
- updated to 1.07.2

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> fda433e
- package TODO

* Fri Sep 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 550e84a
- up to 1.07.1

* Wed Aug 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c2b8ec5
rel 2; use pe script from fedora

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d67fc8d
- up to 1.07.0

* Tue Aug 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 216fadf
- rel 1; fix monospace bug (patch from fc); build fonts from sources instead of using prepared ttfs

* Tue Aug 31 2010 Patryk Zawadzki <patrys@room-303.com> 4e12891
- 1.06

* Mon May 31 2010 sparky <sparky@pld-linux.org> 4ef0c9a
- BR: unzip

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3344afc
- up to 1.05 (don't use snapshots)

* Wed Feb 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d69ba4b
- rel 0.1 due to broken monospace font

